#ifndef ADEPT_UTILS_CONFIG_H_
#define ADEPT_UTILS_CONFIG_H_

// Define if the POSIX high resolution timer function, clock_gettime() is available.
#define ADEPT_UTILS_HAVE_CLOCK_GETTIME

// Define if the POSIX gettimeofday() function is available. 
#define ADEPT_UTILS_HAVE_GETTIMEOFDAY

// Define if Mac OS X Mach timers are available.
/* #undef ADEPT_UTILS_HAVE_MACH_TIME */

// Muster version information -- numerical and a version string.
#define ADEPT_UTILS_MAJOR_VERSION 0
#define ADEPT_UTILS_MINOR_VERSION 1
#define ADEPT_UTILS_PATCH_VERSION 0
#define ADEPT_UTILS_VERSION       "0.1.0"

#endif // ADEPT_UTILS_CONFIG_H_
